org.eclipse.actf.visualization.eval.html.statistics

## Class ImageStatData

- java.lang.Object
- - org.eclipse.actf.visualization.eval.html.statistics.ImageStatData

All Implemented Interfaces:
  IPageStatisticsTag

    public class ImageStatData
    extends Object
    implements IPageStatisticsTag

ImageStatData is used for image (img) element information

### Field Summary

Fields
`static String` `ISMAP`
`static String` `LONGDESC`
`static String` `USEMAP`

### Fields inherited from interface org.eclipse.actf.visualization.eval.html.statistics.IPageStatisticsTag

`ALIGN, ALT, BASE, BGCOLOR, DEST, ERROR, EXISTENCE, FLASH, FLASH_INFO, HEADING, HEADINGS, HEIGHT, HREF, ID, IMAGE, IMAGES, ITEM, JAVASCRIPT, MAX, MEAN, MIN, MISSING, NAME, ORG_MAX, ORG_MEAN, ORG_MIN, REACHINGTIME, SKIPMAIN, SRC, TARGET_STRING, TOTAL, URL, VALID, VALUE, WIDTH, WRONG, XPATH`

### Constructor Summary

Constructors
Constructor and Description
`ImageStatData(org.w3c.dom.html.HTMLImageElement target, URL baseURL)` Constructor of the class

### Method Summary

Methods
`void` `addProblemItem(Attributes atts)` Extract problem item information relates to the image from XML fragment and add the information into this instance.
`void` `addProblemItem(IProblemItem problemItem)` Add problem item relates to image
`String` `getAlt()`
`Element` `getAncestorLink()`
`String` `getDestUrl()`
`String` `getHeight()`
`String` `getItemXML()` Get image information as XML fragment
`String` `getLongDesc()`
`Vector<IProblemItem>` `getProblemV()`
`String` `getSrc()`
`String` `getUrl()`
`String` `getUseMap()`
`String` `getWidth()`
`boolean` `isHasAlt()`
`boolean` `isHasHeight()`
`boolean` `isHasLongDesc()`
`boolean` `isHasUseMap()`
`boolean` `isHasWidth()`
`boolean` `isInLink()`
`boolean` `isMap()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ISMAP

    public static final String ISMAP

See Also:
  Constant Field Values

#### USEMAP

    public static final String USEMAP

See Also:
  Constant Field Values

#### LONGDESC

    public static final String LONGDESC

See Also:
  Constant Field Values

### Constructor Detail

#### ImageStatData

    public ImageStatData(org.w3c.dom.html.HTMLImageElement target,
                 URL baseURL)

Constructor of the class

Parameters:
  `target` - target image element
  `baseURL` - base URL

### Method Detail

#### addProblemItem

    public void addProblemItem(Attributes atts)
                        throws StatisticsDataFormatException

Extract problem item information relates to the image from XML fragment and add the information into this instance.

Parameters:
  `atts` - target `Attributes`
Throws:
  `StatisticsDataFormatException`

#### addProblemItem

    public void addProblemItem(IProblemItem problemItem)

Add problem item relates to image

Parameters:
  `problemItem` - target problem item

#### getAlt

    public String getAlt()

Returns:
  alt attribute

#### getAncestorLink

    public Element getAncestorLink()

Returns:
  ancestor anchor `Element`, or null if not available

#### getDestUrl

    public String getDestUrl()

Returns:
  destination URL of ancestor anchor, or empty string if not in anchor

#### getHeight

    public String getHeight()

Returns:
  heighet attribute

#### getItemXML

    public String getItemXML()

Get image information as XML fragment

Returns:
  image information as XML fragment

#### getLongDesc

    public String getLongDesc()

Returns:
  longdesc attribute

#### getProblemV

    public Vector<IProblemItem> getProblemV()

Returns:
  problems relate to the image

#### getSrc

    public String getSrc()

Returns:
  src attribute

#### getUrl

    public String getUrl()

Returns:
  target URL of the image (URL(base URL, src attribute value)).
See Also:
  `URL.URL(URL, String)`

#### getUseMap

    public String getUseMap()

Returns:
  usemap attribute

#### getWidth

    public String getWidth()

Returns:
  width attribute

#### isHasAlt

    public boolean isHasAlt()

Returns:
  true if image has alt attribute

#### isHasHeight

    public boolean isHasHeight()

Returns:
  true if image has height attribute

#### isHasLongDesc

    public boolean isHasLongDesc()

Returns:
  true if image has longdesc attribute

#### isHasUseMap

    public boolean isHasUseMap()

Returns:
  true if image has usemap attribute

#### isHasWidth

    public boolean isHasWidth()

Returns:
  true if image has width attribute

#### isInLink

    public boolean isInLink()

Returns:
  true if image is under link (anchor element with href attribute)

#### isMap

    public boolean isMap()

Returns:
  true if image has ismap attribute